Hello community,

here is the log from the commit of package python-oslo.middleware for 
openSUSE:Factory checked in at 2016-10-13 11:29:07
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-oslo.middleware (Old)
 and      /work/SRC/openSUSE:Factory/.python-oslo.middleware.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-oslo.middleware"

Changes:
--------
--- 
/work/SRC/openSUSE:Factory/python-oslo.middleware/python-oslo.middleware.changes
    2016-05-19 12:14:37.000000000 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.middleware.new/python-oslo.middleware.changes
       2016-10-13 11:29:07.000000000 +0200
@@ -1,0 +2,58 @@
+Tue Oct  4 11:09:43 UTC 2016 - dmuel...@suse.com
+
+- global requirements sync
+- switch to stable/newton
+
+-------------------------------------------------------------------
+Fri Sep 30 13:40:56 UTC 2016 - dmuel...@suse.com
+
+- update to 3.19.0:
+  * Remove pot files
+  * Fix inline docstring to use default path (not /status)
+  * Updated from global requirements
+  * Updated from global requirements
+  * Fixed typo in SSL
+
+-------------------------------------------------------------------
+Wed Aug 10 14:43:20 UTC 2016 - tbecht...@suse.com
+
+- update to version 3.16.0
+  * Do not add a default content type when replying
+  * Expose sample config opts for http-proxy-to-wsgi
+  * Deprecate using String as valid value for allowed_origin.
+  * Deprecate multiple config block parsing.
+  * Fix unit tests on Windows
+  * Fix spelling of config option help
+  * Updated from global requirements
+
+-------------------------------------------------------------------
+Fri Jun  3 13:25:27 UTC 2016 - tbecht...@suse.com
+
+- update to 3.11.0:
+  * cors: remove unused import
+  * Updated from global requirements
+  * Add a simple __main__ to easily show healthcheck output
+  * Removed simple headers from documentation examples
+  * Added PATCH method to default config
+  * Added set_defaults method to oslo_middleware.cors
+  * Set default allow methods to those defined in RFC 2616
+  * Removed default headers from CORS_OPTS
+  * Imported Translations from Zanata
+  * Updated from global requirements
+  * Remove direct dependency on babel
+  * Updated from global requirements
+  * Updated from global requirements
+  * Updated from global requirements
+  * Updated from global requirements
+  * cors: prevent WebOb setting a default Content-Type
+  * CORS Middleware now honors upstream Vary header
+  * Disable http_proxy_to_wsgi middleware by default
+  * CORS tests now use a transient configuration
+  * Updated config documentation for cors_middleware
+  * Updated from global requirements
+  * Updated from global requirements
+  * Revert "work around doc build error"
+- use renderspec source service
+- update spec from upstream
+
+-------------------------------------------------------------------

Old:
----
  oslo.middleware-3.8.0.tar.gz

New:
----
  oslo.middleware-3.19.0.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-oslo.middleware.spec ++++++
--- /var/tmp/diff_new_pack.8odCds/_old  2016-10-13 11:29:08.000000000 +0200
+++ /var/tmp/diff_new_pack.8odCds/_new  2016-10-13 11:29:08.000000000 +0200
@@ -16,68 +16,86 @@
 #
 
 
-%define version_unconverted 3.8.0
-
+%global sname oslo.middleware
 Name:           python-oslo.middleware
-Version:        3.8.0
+Version:        3.19.0
 Release:        0
-Summary:        oslo.middleware library
+Summary:        OpenStack oslo.middleware library
 License:        Apache-2.0
 Group:          Development/Languages/Python
-Url:            https://launchpad.net/oslo/
-Source:         
https://pypi.python.org/packages/source/o/oslo.middleware/oslo.middleware-%{version}.tar.gz
-BuildRequires:  openstack-suse-macros
-BuildRequires:  python-WebOb
+Url:            https://launchpad.net/%{sname}
+Source0:        
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+BuildRequires:  openstack-macros
+BuildRequires:  python-Jinja2 >= 2.8
+BuildRequires:  python-WebOb >= 1.2.3
+BuildRequires:  python-debtcollector >= 1.2.0
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures
-BuildRequires:  python-mock
-BuildRequires:  python-oslo.config
-BuildRequires:  python-oslo.context
-BuildRequires:  python-oslo.i18n
-BuildRequires:  python-oslosphinx
-BuildRequires:  python-oslotest
-BuildRequires:  python-pbr
-BuildRequires:  python-sphinx
-BuildRequires:  python-testtools
-Requires:       python-Babel >= 1.3
+BuildRequires:  python-fixtures >= 3.0.0
+BuildRequires:  python-mock >= 2.0
+BuildRequires:  python-oslo.config >= 3.14.0
+BuildRequires:  python-oslo.context >= 2.9.0
+BuildRequires:  python-oslo.i18n >= 2.1.0
+BuildRequires:  python-oslo.utils >= 3.16.0
+BuildRequires:  python-oslotest >= 1.10.0
+BuildRequires:  python-pbr >= 1.6
+BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-stevedore >= 1.16.0
+BuildRequires:  python-testtools >= 1.4.0
 Requires:       python-Jinja2 >= 2.8
 Requires:       python-WebOb >= 1.2.3
 Requires:       python-debtcollector >= 1.2.0
-Requires:       python-oslo.config >= 3.7.0
-Requires:       python-oslo.context >= 0.2.0
+Requires:       python-oslo.config >= 3.14.0
+Requires:       python-oslo.context >= 2.9.0
 Requires:       python-oslo.i18n >= 2.1.0
-Requires:       python-oslo.utils >= 3.5.0
+Requires:       python-oslo.utils >= 3.16.0
 Requires:       python-six >= 1.9.0
-Requires:       python-stevedore >= 1.5.0
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+Requires:       python-stevedore >= 1.16.0
 BuildArch:      noarch
 
 %description
-oslo.middleware library
+Oslo middleware library includes components that can be injected into wsgi
+pipelines to intercept request/response flows. The base class can be enhanced
+with functionality like add/delete/modification of http headers and support
+for limiting size/connection etc.
+
+%package doc
+Summary:        Documentation for OpenStack middleware library
+Group:          Development/Languages/Python
+BuildRequires:  python-Sphinx
+BuildRequires:  python-oslosphinx >= 2.5.0
 
-* Free software: Apache license
-* Documentation: http://docs.openstack.org/developer/oslo.middleware
-* Source: http://git.openstack.org/cgit/openstack/oslo.middleware
-* Bugs: http://bugs.launchpad.net/oslo
+%description doc
+Oslo middleware library includes components that can be injected into wsgi
+pipelines to intercept request/response flows. The base class can be enhanced
+with functionality like add/delete/modification of http headers and support
+for limiting size/connection etc.
+This package contains the documentation.
 
 %prep
-%setup -q -n oslo.middleware-%{version}
+%setup -q -n %{sname}-%{version}
 
 %build
-%{__python2} setup.py build
+%{py2_build}
+
+# generate html docs
+%{__python2} setup.py build_sphinx
+# remove the sphinx-build leftovers
+rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%{py2_install}
 
 %check
-#FIXME (toabctl): debug why testsuite doesn't run in build env
-#export PYTHONPATH="%{python2_sitelib}:%{buildroot}%{python2_sitelib}"
-#export PYTHON="python -S"
-#testr init && testr run
+%{__python2} setup.py testr
 
 %files
-%defattr(-,root,root,-)
-%doc AUTHORS README.rst LICENSE ChangeLog
-%{python2_sitelib}/*
+%license LICENSE
+%doc README.rst ChangeLog
+%{python2_sitelib}/oslo_middleware
+%{python2_sitelib}/*.egg-info
+
+%files doc
+%license LICENSE
+%doc doc/build/html
 
 %changelog

++++++ _service ++++++
--- /var/tmp/diff_new_pack.8odCds/_old  2016-10-13 11:29:08.000000000 +0200
+++ /var/tmp/diff_new_pack.8odCds/_new  2016-10-13 11:29:08.000000000 +0200
@@ -1,13 +1,11 @@
 <services>
-  <service mode="disabled" name="download_files">
-    <param name="changesgenerate">enable</param>
-  </service>
-  <service mode="disabled" name="set_version">
-    <param name="basename">oslo.middleware</param>
+  <service mode="disabled" name="renderspec">
+    <param 
name="input-template">https://raw.githubusercontent.com/openstack/rpm-packaging/stable/newton/openstack/oslo.middleware/oslo.middleware.spec.j2</param>
+    <param name="output-name">python-oslo.middleware.spec</param>
+    <param 
name="requirements">https://raw.githubusercontent.com/openstack/rpm-packaging/stable/newton/global-requirements.txt</param>
   </service>
-  <service name="refresh_patches" mode="disabled">
+  <service mode="disabled" name="download_files">
     <param name="changesgenerate">enable</param>
   </service>
-  <service name="python_requires" mode="disabled">
-  </service>
+  <service name="format_spec_file" mode="disabled"/>
 </services>

++++++ oslo.middleware-3.8.0.tar.gz -> oslo.middleware-3.19.0.tar.gz ++++++
++++ 2035 lines of diff (skipped)


Reply via email to